JBoss API: Class BeanVerifier

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.verifier
Class BeanVerifier

    java.lang.Object
      |
      +--org.jboss.verifier.BeanVerifier

All Implemented Interfaces:
  org.gjt.lindfors.util.EventGenerator, org.gjt.lindfors.pattern.StrategyContext, VerificationContext, VerificationEventGenerator

public class BeanVerifier
extends java.lang.Object
implements VerificationContext

Attempts to verify the spec compliance of the beans in a given EJB-JAR file. Works against EJB spec 1.1. Built for use in JBoss project. For more detailed documentation, refer to the >

Since:
  JDK 1.3
Version:
  $Revision: 1.10 $
Author:
  Juha Lindfors (jplindfo@helsinki.fi)
See Also:
  `VerificationStrategy`, `VerificationEventFactory`

Fields inherited from interface org.jboss.verifier.strategy.VerificationContext
`VERSION_1_1, VERSION_2_0`

Constructor Summary
`BeanVerifier()` Default constructor.

Method Summary
`void` | `addVerificationListener(VerificationListener listener)`
`void` | `fireBeanChecked(VerificationEvent event)`
`void` | `fireSpecViolation(VerificationEvent event)`
`ApplicationMetaData` | `getApplicationMetaData()`
`java.lang.ClassLoader` | `getClassLoader()`
`java.lang.String` | `getEJBVersion()`
`java.net.URL` | `getJarLocation()`
`protected VerificationStrategy` | `getVerifier()`
`void` | `removeVerificationListener(VerificationListener listener)`
`protected void` | `setVerifier(java.lang.String version)`
`void` | `verify(java.net.URL url, ApplicationMetaData metaData)` Checks the Enterprise Java Beans found in this Jar for EJB spec compliance (EJB Spec.
`void` | `verify(java.net.URL url, ApplicationMetaData metaData, java.lang.ClassLoader cl)` Checks the Enterprise Java Beans found in this Jar for EJB spec compliance (EJB Spec.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanVerifier

    public BeanVerifier()

  Default constructor.

Method Detail

### verify

    public void verify(java.net.URL url,
                       ApplicationMetaData metaData)

  Checks the Enterprise Java Beans found in this Jar for EJB spec compliance (EJB Spec. 1.1). Ensures that the given interfaces and implementation classes implement required methods and follow the contract given in the spec.
  Parameters:
    `url` - URL to the bean jar file

### verify

    public void verify(java.net.URL url,
                       ApplicationMetaData metaData,
                       java.lang.ClassLoader cl)

  Checks the Enterprise Java Beans found in this Jar for EJB spec compliance (EJB Spec. 1.1). Ensures that the given interfaces and implementation classes implement required methods and follow the contract given in the spec.
  Parameters:
    `url` - URL to the bean jar file
    `cl` - The ClassLoader to use

### addVerificationListener

    public void addVerificationListener(VerificationListener listener)

  Specified by:
    `addVerificationListener` in interface `VerificationEventGenerator`

### removeVerificationListener

    public void removeVerificationListener(VerificationListener listener)

  Specified by:
    `removeVerificationListener` in interface `VerificationEventGenerator`

### fireBeanChecked

    public void fireBeanChecked(VerificationEvent event)

  Specified by:
    `fireBeanChecked` in interface `VerificationEventGenerator`

### fireSpecViolation

    public void fireSpecViolation(VerificationEvent event)

  Specified by:
    `fireSpecViolation` in interface `VerificationEventGenerator`

### getApplicationMetaData

    public ApplicationMetaData getApplicationMetaData()

  Specified by:
    `getApplicationMetaData` in interface `VerificationContext`

### getJarLocation

    public java.net.URL getJarLocation()

  Specified by:
    `getJarLocation` in interface `VerificationContext`

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Specified by:
    `getClassLoader` in interface `VerificationContext`

### getEJBVersion

    public java.lang.String getEJBVersion()

  Specified by:
    `getEJBVersion` in interface `VerificationContext`

### setVerifier

    protected void setVerifier(java.lang.String version)

### getVerifier

    protected VerificationStrategy getVerifier()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.